chain_api.push_transaction
disabled
The chain_api plugin is defined in source but not enabled on public nodes; the namespace is not registered.
Purpose
Pousse une transaction (transaction) vers le nœud.
Paramètres : l'objet transaction signé lui-même, non enveloppé : ref_block_num:int ; ref_block_prefix:int ; expiration:timestamp ; operations:array ; extensions:array ; signatures:array
Retourne success:bool et, en cas d'échec, une error:string.
Parameters
PARAMETERS
json
{
"ref_block_num": 0,
"ref_block_prefix": 0,
"expiration": "1970-01-01T00:00:00",
"operations": [],
"extensions": [],
"signatures": []
}⚠ Définie dans le code source de steem, mais non activée sur les nœuds publics.
Example
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "chain_api.push_transaction",
"params": {
"ref_block_num": 0,
"ref_block_prefix": 0,
"expiration": "1970-01-01T00:00:00",
"operations": [],
"extensions": [],
"signatures": []
},
"id": 1
}'Response
RESPONSE
json
{
"success": true,
"error": null
}Expected curl responses
EXPECTED RESPONSES
text
Could not find API chain_api